Ubuntu

Firefox crashed using nspluginwrapper (libflashplayer.so)

Reported by Cesare Mastroianni on 2010-06-11
28
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nspluginwrapper (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: firefox

Hi there to You all. Many thanks in advance for Your help.

I experienced too many crashes while using Firefox browsing java engined website. Today I run valgrind with Firefox. Please, see the attached archive of log files to inspect the problem about the plugin.

Ciao from Italy.
CM

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: firefox 3.6.3+nobinonly-0ubuntu4
ProcVersionSignature: Ubuntu 2.6.32-22.36-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-22-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Fri Jun 11 12:02:44 2010
FirefoxPackages:
 firefox 3.6.3+nobinonly-0ubuntu4
 firefox-gnome-support 3.6.3+nobinonly-0ubuntu4
 firefox-branding 3.6.3+nobinonly-0ubuntu4
 abroswer N/A
 abrowser-branding N/A
ProcEnviron:
 LANGUAGE=it_IT:it:en_GB:en
 LANG=it_IT.utf8
 SHELL=/bin/bash
SourcePackage: firefox

Cesare Mastroianni (cece) wrote :
Cesare Mastroianni (cece) wrote :

After some tests and trials, I identified the problem: npviewer.bin crashes ALWAYS when accessing some websites. Then I run GDB attaching npviewer.bin on-the-fly. See the attached TXT log file, where You can verify there is a serious problem.

Firefox, well actually npviewer.bin, is totally unstable when accessing some websites, and then it is almost unusable.

Thanks for Your help.

Ciao
CM

drew212 (mstngdrew212) wrote :

I notice that you're using an older version of flash (10.0). Could you please update to the newest version(10.1) and tell me if you still experience this bug?

Changed in firefox (Ubuntu):
status: New → Incomplete
Cesare Mastroianni (cece) wrote :

Hummmm, please, could You explain me why I failed to get the latest plugin? I mean, I run "sudo apt-get update ; sudo apt-get upgrade" daily, and I never missed to install new packages. Today I run the same commands too, and no upgraded packages was proposed about flash players. Am I wrong?

Then I go to the firefox menu "tools" and "additional components" (I'm translating from Italian), then "check for updates". I was redirected to this page: "https://www.mozilla.com/en-US/plugincheck/".Here I discovered that the latest flashplayer available is 10.1 as You wrote. Then I note that nothing notified me about this update. Should I activate some "configuration flag" for Firefox, in order to been informed about new editions of plugins?

However, the installation procedure failed. After upgrading the software sources, a popup notify window notified "Pacakge adobe-flashblugin is virtual", and nothing more happens. Where I made a mistake?

Thank You.

Changed in firefox (Ubuntu):
status: Incomplete → New
drew212 (mstngdrew212) wrote :

Thank you for reporting this to Ubuntu. Please provide the results of the following command run in a terminal:
apt-cache policy flashplugin-installer swfdec-mozilla mozilla-plugin-gnash adobe-flashplugin
This will let us know what flash players you have installed so that we can better diagnose your issue. Thank you.

drew212 (mstngdrew212) on 2010-06-20
Changed in firefox (Ubuntu):
status: New → Incomplete
Cesare Mastroianni (cece) wrote :

Thanks, Drew. Here the output:

flashplugin-installer:
  Installato: (nessuno)
  Candidato: 10.1.53.64ubuntu0.10.04.1
  Tabella versione:
     10.1.53.64ubuntu0.10.04.1 0
        500 http://it.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Packages
        500 http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Packages
     10.0.45.2ubuntu1 0
        500 http://it.archive.ubuntu.com/ubuntu/ lucid/multiverse Packages
swfdec-mozilla:
  Installato: (nessuno)
  Candidato: 0.8.2-1ubuntu2
  Tabella versione:
     0.8.2-1ubuntu2 0
        500 http://it.archive.ubuntu.com/ubuntu/ lucid/universe Packages
mozilla-plugin-gnash:
  Installato: (nessuno)
  Candidato: 0.8.7-0ubuntu1
  Tabella versione:
     0.8.7-0ubuntu1 0
        500 http://it.archive.ubuntu.com/ubuntu/ lucid/universe Packages
adobe-flashplugin:
  Installato: (nessuno)
  Candidato: (nessuno)
  Tabella versione:

Hope this will help.

Ciao
CM

Changed in firefox (Ubuntu):
status: Incomplete → New
drew212 (mstngdrew212) wrote :

It looks like you don't have a flash player installed now. Please try installing it by typing sudo apt-get install flashplugin-installer in the terminal.

Changed in firefox (Ubuntu):
status: New → Incomplete
Cesare Mastroianni (cece) wrote :

Thank You. I did the installation. Then I browsed again the "affected" sites. And I have a new type of crash.

I run then GDB, 3 sessions, attaching firefox.bin, npviewer.bin, and java. Please, see the attached logfiles of the 3 gdbsessions. It seems that only Firefox had a SIGSEGV, while the plugins (both java and npviewer) run well apparently.

Unfortunately, no core file was saved by apport-unpack: the apport system popup window claimed about "not enough memory" to manage the apport debugging procedure.

Thanks again. Any help will be appreciated.

Ciao
CM

Changed in firefox (Ubuntu):
status: Incomplete → New
drew212 (mstngdrew212) wrote :

Cesare, there have been updates to firefox and GTK recnetly, could you update and tell me if firefox 3.6.6 still has this problem?

Changed in firefox (Ubuntu):
status: New → Incomplete
drew212 (mstngdrew212) wrote :

Could you please paste or attach the output of ls -l /var/crash/*firefox* thanks in advance.

Cesare Mastroianni (cece) wrote :

Thanks Drew. Just a few minutes ago I downloaded the new Firefox 3.6.6, and then I browse the faulting websites. No crash happened today for the first time!

I suppose that the problem has been solved now.

So far, thank You all!

Ciao
CM

Changed in firefox (Ubuntu):
status: Incomplete → Invalid
Cesare Mastroianni (cece) wrote :

Sorry to bother You again, but the same (maybe the same) crashing problem happened twice today.

I tried to collect backtrace info with gdb. Please, see attached TXT logfile.

Unfortunately, it seems that no package called flashplugin-installer-dbgsym nor flashplugin-installer-dbg is available. Therefore there is not debugging symbols for libflashplayer.so --- please, could You tell me how to find the dbgsym package for libflashplayer.so ???

Thanks in advance.

Ciao
CM

Changed in firefox (Ubuntu):
status: Invalid → New
summary: - Firefox crashed using java (I suppose...)
+ Firefox crashed using nspluginwrapper (libflashplayer.so)
tags: added: libflashplayer.so nspluginwrapper
affects: firefox (Ubuntu) → nspluginwrapper (Ubuntu)
tags: removed: libflashplayer.so nspluginwrapper
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers